---@meta

---@class UWG_MenuButton_C : UCommonButtonBase
---@field UberGraphFrame FPointerToUberGraphFrame
---@field ButtonText UCommonTextBlock
---@field DisplayText FText
---@field MI_Dynamic UMaterialInstanceDynamic
local UWG_MenuButton_C = {}

function UWG_MenuButton_C:Construct() end
---@param Object UObject
---@param Field FFieldNotificationId
function UWG_MenuButton_C:OnTextUpdated(Object, Field) end
function UWG_MenuButton_C:OnCurrentTextStyleChanged() end
---@param IsDesignTime boolean
function UWG_MenuButton_C:PreConstruct(IsDesignTime) end
---@param EntryPoint int32
function UWG_MenuButton_C:ExecuteUbergraph_WG_MenuButton(EntryPoint) end


